import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Table here.
 * 
 *  Author: Zac Saunders
 *  Current version: 2.5
 *  Past versions:
 *  1.0-Introduced the basic game functions.
 *  1.5-Resized the world, paddle, and ball.
 *  2.0-Added the code that is nessisary for the items to automatically spawn in the correct location
 *      and in the correct formations.
 *  2.5-Added comments to explain the methods and individual lines.
 */
public class Table extends World
{

    /**
     * Constructor for objects of class Table.
     * Only executed once, at the beginning of the game.
     */
    public Table()
    {   
        super(600, 400, 1); //Sets the world's size  
        addObject(new Ball(),getWidth()/3, getHeight()/3); //Places the ball at it's initial spawn location.
        addObject(new Paddle(),50,getHeight()/2); //Places the paddle at it's location.
        addObjects(5);
    }
    
    public void addObjects(int n)
    {   //Add the items that the ball will collide with and remove.
        for( int b=0; b<n; b++){
           addObject(new Yballoon(), 530,65 + 60*b); 
           //Create the row of Yellow balloons at the set location.
           addObject(new Rballoon(), 230,65 + 60*b);
           //Create the row of Red balloons at the set location.
           addObject(new Bballoon(), 330,65 + 60*b);
           //Create the row of Blue balloons at the set location.
           addObject(new Bomb(), 430,65 + 60*b);
           //Create the row of the bombs at the set location.
        }
    }
    
    public void act (){
        //flick through the worlds. This code will take you from the actual game to the SuccessScreen
        if(Greenfoot.mouseClicked(this)){
            SuccessScreen success = new SuccessScreen();
            Greenfoot.setWorld(success);
        }
    }
}
